Wacht Bench is live — AI-assisted development for Wacht

Update Workspace

POST
/workspaces/{id}/update

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Path Parameters

id*string

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://{deployment_host}/workspaces/string/update" \  -F name="string"
{
  "status": 0,
  "message": "string",
  "data": {
    "workspace": {
      "id": "string",
      "name": "string",
      "image_url": "string",
      "description": "string",
      "member_count": 0,
      "public_metadata": {
        "property1": null,
        "property2": null
      },
      "private_metadata": {
        "property1": null,
        "property2": null
      },
      "enforce_2fa": true,
      "enable_ip_restriction": true,
      "whitelisted_ips": [
        "string"
      ],
      "created_at": "string",
      "updated_at": "string",
      "segments": [
        {
          "id": "string",
          "created_at": "string",
          "updated_at": "string",
          "deployment_id": "string",
          "name": "string",
          "type": "user"
        }
      ]
    }
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}